/*******************************************************************************
 * @author    Patricie Benešová
 * @version   1.00.000
 */
import java.time.LocalDateTime;
import java.time.Month;
import java.util.ArrayList;

import java.util.List;
public class EvidenceHovoru
{
  private List<Hovor> seznamHovoru = new ArrayList<>();

    public EvidenceHovoru() {
        seznamHovoru.add(new Hovor("713 880 925",LocalDateTime.of(2017, Month.MARCH, 8, 13, 13)) );
        seznamHovoru.add(new Hovor("750 770 525",LocalDateTime.of(2017, Month.MARCH, 7, 15, 15)) );
        seznamHovoru.add(new Hovor("713 880 925",LocalDateTime.of(2017, Month.MARCH, 13, 13, 16)) );
        seznamHovoru.add(new Hovor("750 770 925",LocalDateTime.of(2017, Month.MARCH, 30, 12, 9)) );
        seznamHovoru.add(new Hovor("763 810 900",LocalDateTime.of(2017, Month.MARCH, 28, 17, 30)) );
        seznamHovoru.add(new Hovor("763 810 900",LocalDateTime.of(2017, Month.MARCH, 16, 9, 0)) );
        seznamHovoru.add(new Hovor("717 888 963",LocalDateTime.of(2017, Month.MARCH, 7, 15, 20)) );
        seznamHovoru.add(new Hovor("713 880 925",LocalDateTime.of(2017, Month.MARCH, 10, 11, 5)) );
    }

    /**
     * Getter pro získání seznamu hovorů
     */
    public List<Hovor> getSeznamHovoru() {
        return seznamHovoru;
    }
   
    public static void main(String[] args) {
        
        EvidenceHovoru evidence = new EvidenceHovoru();
        List<Hovor> seznam = evidence.getSeznamHovoru();
        long pocetVolajicich = seznam.stream().map((c) -> c.getCislo()).distinct().count();
        
        System.out.print(pocetVolajicich);
    }
    

}
